> For the complete documentation index, see [llms.txt](https://docs.ionos.com/terraform-provider/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/terraform-provider/data-sources/dbaas_pgsql_versions.md).

# ionoscloud\_pg\_versions

The **DbaaS Postgres Versions data source** can be used to search for and retrieve list of available postgres versions for a specific cluster or for all clusters.

## Example Usage

### Retrieve list of postgres versions for a specific cluster

```hcl
data "ionoscloud_pg_versions" "example" {
	cluster_id = "cluster_id"
}
```

### Retrieve list of postgres versions for all clusters

```hcl
data "ionoscloud_pg_versions" "example" {
}
```

## Argument Reference

* `cluster_id` - (Optional) The unique ID of the cluster.

If `cluster_id` is not provided the data source will return the list of postgres version for all cluster.

## Attributes Reference

The following attributes are returned by the datasource:

* `cluster_id` - Id of the cluster
* `postgres_versions` - list of PostgreSQL versions.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/dbaas_pgsql_versions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
